summaryrefslogtreecommitdiff
path: root/test/integration/test-hashsum-verification
diff options
context:
space:
mode:
authorMichael Vogt <mvo@ubuntu.com>2014-10-01 12:21:55 +0200
committerMichael Vogt <mvo@ubuntu.com>2014-10-01 13:05:26 +0200
commitc99fe2e169243fc6e1a3278ce3768f0f521e260b (patch)
tree8b9c5141f4e90a02a1b342692b217c3567684a1d /test/integration/test-hashsum-verification
parent8d266656767f6c7c3946700c7052d0b8b6212742 (diff)
Use Acquire::Allow{InsecureRepositories,DowngradeToInsecureRepositories}
The configuration key Acquire::AllowInsecureRepositories controls if apt allows loading of unsigned repositories at all. The configuration Acquire::AllowDowngradeToInsecureRepositories controls if a signed repository can ever become unsigned. This should really never be needed but we provide it to avoid having to mess around in /var/lib/apt/lists if there is a use-case for this (which I can't think of right now).
Diffstat (limited to 'test/integration/test-hashsum-verification')
-rwxr-xr-xtest/integration/test-hashsum-verification2
1 files changed, 1 insertions, 1 deletions
diff --git a/test/integration/test-hashsum-verification b/test/integration/test-hashsum-verification
index 2db2bab0f..5f88110b3 100755
--- a/test/integration/test-hashsum-verification
+++ b/test/integration/test-hashsum-verification
@@ -70,7 +70,7 @@ runtest() {
rm -rf rootdir/var/lib/apt/lists
rm aptarchive/InRelease aptarchive/Release.gpg
msgtest 'unsigned apt-get update gets the expected hashsum mismatch'
- aptget update --allow-unauthenticated >output.log 2>&1 || true
+ aptget update --allow-insecure-repositories >output.log 2>&1 || true
if grep -q "Hash Sum mismatch" output.log; then
msgpass
else